﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

/* Author: Andrew Brook
 * Class: IGME 202-02
 * Instructor: Jay Alan Jackson
 * Purpose of Class: Store useful information about a path node in a waypoint network
 */
public class Waypoint : MonoBehaviour
{
    public Waypoint previous; // Previous waypoint
    public Waypoint next; // Next waypoint

    public Vector3 position { get { return transform.position; } }

    private void OnDrawGizmos()
    {
        if (SceneController.instance.drawDebugLines == true)
        {
            Gizmos.color = Color.cyan;
            Gizmos.DrawSphere(position, 0.5f);
        }
    }
}
